#!/bin/bash

set -euo pipefail

source "$(dirname "$0")/../../bdutil_logging.sh"
source "$(dirname "$0")/../../bdutil_retry.sh"
source "$(dirname "$0")/../../bdutil_properties.sh"
source "$(dirname "$0")/../../bdutil_components.sh"
source "$(dirname "$0")/../shared/anaconda.sh"
source "$(dirname "$0")/../shared/effective-python.sh"
source "$(dirname "$0")/../shared/configure_conda_env.sh"

set -x

conda config --set always_yes true --set changeps1 false

# Determine effective python.
install_effective_python_profile

customize_conda_env "${ANACONDA_INSTALL_PATH}" "${ANACONDA_BIN_DIR}"
