# TODO: migrate YARN activation to this script.
#!/bin/bash

set -euo pipefail

source "$(dirname "$0")/../../bdutil_env.sh"
source "$(dirname "$0")/../../bdutil_os.sh"
source "$(dirname "$0")/../../bdutil_properties.sh"
source "$(dirname "$0")/../../bdutil_retry.sh"
source "$(dirname "$0")/../../bdutil_versions.sh"
source "$(dirname "$0")/../../bdutil_services.sh"
source "$(dirname "$0")/../../bdutil_logging.sh"

set -x

readonly ATSV2_BIGTABLE_RESOURCE="$(get_dataproc_property yarn.atsv2.bigtable.instance)"

function start_timelinereader_service {
  enable_and_start_service hadoop-yarn-timelinereader
}

if [[ -n "${ATSV2_BIGTABLE_RESOURCE}" ]] ; then
    start_timelinereader_service
fi
