#!/bin/bash

set -euo pipefail

source "$(dirname "$0")/../../bdutil_env.sh"
source "$(dirname "$0")/../../bdutil_logging.sh"
source "$(dirname "$0")/../../bdutil_retry.sh"
source "$(dirname "$0")/../../bdutil_services.sh"

set -x

if [[ "${ROLE}" == "Master" ]]; then
  # Zookeeper is configured before any service starts in zookeeper pre-activate.
  systemctl daemon-reload
  enable_and_start_service zookeeper-server
else
  echo "Skip running ZooKeeper server on ${ROLE} node ${HOSTNAME}"
fi
