#!/bin/bash

DATAPROC_OPTIONAL_COMPONENTS+=(hdfs)
DATAPROC_COMMON_PACKAGES+=(hdfs)

if is_rocky; then
  DATAPROC_COMMON_PACKAGES+=(hadoop-libhdfs)
else
  DATAPROC_COMMON_PACKAGES+=(libhdfs0)
fi

TWO_MASTER_HA_SERVICES+=()
DATAPROC_MASTER_SERVICES+=(hadoop-hdfs-namenode)
DATAPROC_MASTER_STANDALONE_SERVICES+=(hadoop-hdfs-secondarynamenode)
DATAPROC_MASTER_HA_SERVICES+=(hadoop-hdfs-journalnode hadoop-hdfs-zkfc)
DATAPROC_WORKER_SERVICES+=(hadoop-hdfs-datanode)
