#!/bin/bash

DATAPROC_OPTIONAL_COMPONENTS+=(spark)
DATAPROC_COMMON_PACKAGES+=(spark)

# Explicitly add user `spark` with predefined uid and gid for serverless,
# because Spark containers will be running as the uid and gid.
if [[ "${DATAPROC_IMAGE_TYPE}" == "serverless-spark" ]]; then
  (
    source "${BDUTIL_DIR}/components/shared/spark.sh"
    groupadd -g "${SPARK_GID}" spark
    useradd -u "${SPARK_UID}" -g "${SPARK_GID}" --create-home spark
  )
else
  DATAPROC_MASTER_SERVICES+=(spark-history-server)
fi
