#!/bin/bash

# Zookeeper component can be installed on all versions of Dataproc clusters.
# TODO: Following code install zookeeper-server only on master
# nodes. Zookeeper init action installs zookeeper-server on first two worker
# nodes for standard mode clusters. Consider if we should do this for zookeeper
# optional component.
DATAPROC_OPTIONAL_COMPONENTS+=(zookeeper-server)

# Worker nodes also need to run the component scripts to configure ZooKeeper
# clients.
DATAPROC_COMMON_PACKAGES+=(zookeeper-server)
