#!/bin/bash

set -euo pipefail

source "$(dirname "$0")/../../bdutil_helpers.sh"

set -x

os_install_packages \
  hadoop-hdfs-namenode \
  hadoop-hdfs-secondarynamenode \
  hadoop-hdfs-journalnode \
  hadoop-hdfs-zkfc \
  hadoop-hdfs-datanode ||
  err "Failed to install HDFS packages"

systemctl disable \
  hadoop-hdfs-namenode.service \
  hadoop-hdfs-secondarynamenode.service \
  hadoop-hdfs-journalnode.service \
  hadoop-hdfs-zkfc.service \
  hadoop-hdfs-datanode.service
