#!/bin/bash

set -euo pipefail

source "$(dirname "$0")/../../bdutil_networking.sh"
source "$(dirname "$0")/../shared/proxy-agent.sh"

set -x

PROXY_AGENT_BINARY=$(curl -fsS --retry-connrefused --retry 10 --retry-max-time 30 \
  "http://metadata.google.internal/computeMetadata/v1/instance/attributes/dataproc_inverting_proxy_binary" \
  -H "Metadata-Flavor: Google")
readonly PROXY_AGENT_BINARY

download_resource "${PROXY_AGENT_BINARY}" "${PROXY_AGENT_INSTALL_LOCATION}"
chmod +x "${PROXY_AGENT_INSTALL_LOCATION}"
