#!/bin/bash

# Script that starts only after HDFS is ready.
# hbase-master needs to create `/hbase/.tmp/hbase.version` file on HDFS.
# This script is run only on master nodes.

set -euo pipefail

source "$(dirname "$0")/../../bdutil_logging.sh"
source "$(dirname "$0")/../../bdutil_retry.sh"
source "$(dirname "$0")/../shared/hbase.sh"

set -x

start_hbase_master
