#!/bin/bash

# Script that starts hive-server2 on first boot after HDFS is functional.
# It will wait until hive-server2 is listening on the thrift server port.
# This script is only run on master nodes.

set -euo pipefail

source "$(dirname "$0")/../../bdutil_env.sh"
source "$(dirname "$0")/../../bdutil_logging.sh"
source "$(dirname "$0")/../../bdutil_retry.sh"
source "$(dirname "$0")/../../bdutil_properties.sh"
source "$(dirname "$0")/../../bdutil_services.sh"
source "$(dirname "$0")/../../bdutil_networking.sh"
source "$(dirname "$0")/../shared/hive.sh"

set -x

start_hive_server2
