#!/bin/bash

set -euo pipefail

source "$(dirname "$0")/../../bdutil_helpers.sh"

set -x

set_log_tag "post-install-component-kafka-server"

readonly DATAPROC_CONFIG_DIR=/usr/local/share/google/dataproc/conf
readonly STACKDRIVER_KAFKA_CONFIG_URI=gs://dataproc-tools/kafka/stackdriver/kafka-082.conf

systemctl disable kafka-server
mkdir -p "${DATAPROC_CONFIG_DIR}"
gsutil cp "${STACKDRIVER_KAFKA_CONFIG_URI}" "${DATAPROC_CONFIG_DIR}"
