#!/bin/bash

set -euo pipefail

source "$(dirname "$0")/../../bdutil_env.sh"
source "$(dirname "$0")/../../bdutil_logging.sh"
source "$(dirname "$0")/../../bdutil_packages.sh"

set -x

set_log_tag "pre-activate-component-kerberos"

KERBEROS_PACKAGES_TO_UNINSTALL=(krb5-kdc krb5-admin-server)
if ! is_rocky9; then
  KERBEROS_PACKAGES_TO_UNINSTALL+=(xinetd)
fi

if [[ "${ROLE}" != 'Master' ]]; then
  mark_packages_to_uninstall "${KERBEROS_PACKAGES_TO_UNINSTALL[@]}"
fi
