#!/bin/bash

set -euo pipefail

source "$(dirname "$0")/../shared/nvidia-drivers.sh"

set -x

if is_gpu_attached; then
  depmod -a

  # Make sure that NVIDIA driver works and fast-fail otherwise
  nvidia-smi -L
fi