#!/bin/bash

set -euo pipefail

source "$(dirname "$0")/../../bdutil_env.sh"
source "$(dirname "$0")/../../bdutil_logging.sh"
source "$(dirname "$0")/../../bdutil_properties.sh"
source "$(dirname "$0")/../shared/pig.sh"

set -x

set_log_tag "pre-activate-component-pig"

function merge_user_properties() {
  merge_java_properties "${CLUSTER_PROPERTIES_DIR}/pig.properties" \
    "${PIG_CONF_DIR}/pig.properties"

  merge_java_properties "${CLUSTER_PROPERTIES_DIR}/pig-log4j.properties" \
      "${PIG_CONF_DIR}/log4j.properties"
}

merge_user_properties

