#!/bin/bash

set -euo pipefail

source "$(dirname "$0")/../../bdutil_env.sh"
source "$(dirname "$0")/../../bdutil_logging.sh"
source "$(dirname "$0")/../../bdutil_packages.sh"

set -x

set_log_tag "pre-uninstall-component-hbase"

# hbase and hive-hbase need to be uninstalled before activating other
# components, because the existence of /usr/lib/hbase might affect their
# classpaths or env variables.
mark_packages_to_uninstall_pre_activate hbase hive-hbase
