#!/bin/bash

set -euo pipefail

source "$(dirname "$0")/../../bdutil_logging.sh"

set -x

set_log_tag "uninstall-component-containerd"

# containerd
rm -r /etc/containerd
rm /etc/systemd/system/containerd.service
rm /usr/bin/containerd*
rm /usr/bin/ctr

# runc
rm /usr/local/sbin/runc

# cni
rm -r /etc/cni
rm -r /opt/cni

# crictl
rm /etc/crictl.yaml
rm /usr/local/sbin/crictl

# gcfsd
rm /etc/systemd/system/gcfsd.service
rm /usr/local/sbin/gcfsd

# snapshotter
rm -r /etc/containerd-gcfs-grpc/
rm /etc/systemd/system/gcfs-snapshotter.service
rm /usr/local/sbin/containerd-gcfs-grpc

# licenses
rm "${DATAPROC_DIR}/licenses/CONTAINERD_LICENSE"
rm "${DATAPROC_DIR}/licenses/CRICTL_LICENSE"
