#!/bin/bash

set -euo pipefail

source "$(dirname "$0")/../../bdutil_env.sh"
source "$(dirname "$0")/../../bdutil_logging.sh"

set -x

set_log_tag "uninstall-component-yarn"

# Delete Bigtable HBase client jars added for usage with ATSv2 if yarn is not
# activated.
[[ -d "${DATAPROC_COMMON_LIB_DIR}/${BIGTABLE_HBASE_CLIENT_JAR}" ]] \
  && rm -Rf "${DATAPROC_COMMON_LIB_DIR}/${BIGTABLE_HBASE_CLIENT_JAR}"
