#!/bin/bash

set -euo pipefail

source "$(dirname "$0")/../../bdutil_env.sh"
source "$(dirname "$0")/../../bdutil_helpers.sh"
source "$(dirname "$0")/../shared/nfs.sh"

set -x

if [[ "${DATAPROC_IMAGE_TYPE}" == "serverless-spark" ]]; then
  os_install_packages "nfs-kernel-server" "nfs-common" ||
    err "Failed to install packages for nfs-kernel-server and nfs-common"

  mkdir -p "${NFS_MOUNT_PATH}"
fi