#!/bin/bash

# Script that starts mapreduce-history-server on first boot after HDFS is
# functional. The script is only run on master nodes.

set -euo pipefail

source "$(dirname "$0")/../../bdutil_env.sh"
source "$(dirname "$0")/../../bdutil_logging.sh"
source "$(dirname "$0")/../../bdutil_retry.sh"
source "$(dirname "$0")/../../bdutil_services.sh"

set -x

if [[ "${ROLE}" == "Master" && "${MASTER_INDEX}" == "0" ]]; then
  start_service hadoop-mapreduce-historyserver
fi
