#!/bin/bash

set -euo pipefail

source "$(dirname "$0")/../../bdutil_helpers.sh"
source "$(dirname "$0")/../shared/anaconda.sh"

set -x

set_log_tag "post-install-component-anaconda"

# Tell anaconda about pyspark.
pip install -e file:///usr/lib/spark/python

# Remove undesired binaries from Conda bin/, otherwise it might shield the
# desired ones in other locations.
readonly BLACKLISTED_FILES=(beeline)
for blacklisted_file in "${BLACKLISTED_FILES[@]}"; do
  rm -f "${ANACONDA_BIN_DIR}/${blacklisted_file}"
done
