#!/bin/bash

set -euo pipefail

source "$(dirname "$0")/../../bdutil_helpers.sh"

set -x

set_log_tag "post-install-component-knox"

readonly KNOX_INSTALL_DIRECTORY="/usr/lib/knox"

# Remove undesired knox rewrite rules for hbaseui, otherwise it might shield the
# desired ones in other locations.
rm -r "${KNOX_INSTALL_DIRECTORY}/data/services/hbaseui/2.1.0"
