#!/bin/bash

set -euo pipefail

source "$(dirname "$0")/../../bdutil_env.sh"
source "$(dirname "$0")/../../bdutil_logging.sh"
source "$(dirname "$0")/../../bdutil_properties.sh"
source "$(dirname "$0")/../../bdutil_components.sh"

set -x

set_log_tag "pre-activate-component-druid"

if ! is_component_selected "mysql"; then
  echo 'Component "druid" requires that component "mysql" is also selected'
  exit 1
fi
