#!/bin/bash

set -euo pipefail

source "${BDUTIL_DIR}/bdutil_env.sh"
source "${BDUTIL_DIR}/bdutil_helpers.sh"
source "$(dirname "$0")/../shared/kerberos.sh"

set -x

set_log_tag "pre-uninstall-component-kerberos"

# TODO: Fix uninstall of kerberos packages on Rocky Linux
if ! is_rocky; then
  mark_packages_to_uninstall "${KERBEROS_LIBRARIES[@]}"
fi
