function is_earlyoom_enabled() {
  if [[ "${ROLE}" == 'Master' ]]; then
    get_dataproc_property_or_default \
      'internal.node.main.memory-protection.enabled' 'false'
  elif [[ "${ROLE}" == 'Worker' ]]; then
    get_dataproc_property_or_default \
      'internal.node.main.memory-protection-worker.enabled' 'false'
  elif [[ "${ROLE}" == 'Driver' ]]; then
    get_dataproc_property_or_default \
      'internal.node.main.memory-protection-driver.enabled' 'false'
  else
    echo 'false'
  fi
}