#!/bin/bash

function get_num_gpus() {
  # Use `lspci` instead of `nvidia-smi`, because `nvidi-smi` may not yet work
  # in the pre-activate phase
  lspci | grep -c '3D controller'
}

function is_gpu_attached() {
  (($(get_num_gpus) > 0))
}
