#!/bin/bash

set -euo pipefail

source "$(dirname "$0")/../../bdutil_logging.sh"
source "$(dirname "$0")/../../bdutil_retry.sh"
source "$(dirname "$0")/../shared/dpms-proxy.sh"

set -x

set_log_tag "uninstall-component-dpms-proxy"

rm -rf "${DPMS_PROXY_INSTALL_DIR}" \
    "${DPMS_PROXY_ETC_DIR}" \
    "${DPMS_PROXY_LOGROTATE_CONF}" \
    "${DPMS_PROXY_SYSTEMD_SERVICE_FILE}"

retry_constant systemctl daemon-reload
