#!/bin/bash

set -euo pipefail

source "$(dirname "$0")/../../bdutil_helpers.sh"
source "$(dirname "$0")/../shared/jupyter.sh"

set -x

set_log_tag "uninstall-component-jupyter"

# Cleanup data and staging directories, we don't remove jupyter itself
# since its part of Anaconda.
rm -Rf "${JUPYTER_DATAPROC_DIR}" "${JUPYTER_ETC_DIR}"

# Clean up JupyterLab extensions. To prevent races with conda uninstalls,
# directly delete the extensions rather than asking Jupyter to uninstall them.
rm -rf "${CONDA_DIR}/share/jupyter/lab/extensions/*"
