#!/bin/bash

set -euxo pipefail

source "${BDUTIL_DIR}/components/shared/docker.sh"

function configure_docker() {
  # Some version of Docker installation package does not create `docker` group.
  if [[ ! $(getent group docker) ]]; then
    groupadd docker
  fi
  usermod -aG docker yarn
}

if is_component_selected 'docker-ce'; then
  configure_docker
fi
