readonly BIGTABLE_HBASE_CLIENT_CONNECTION_IMPL="com.google.cloud.bigtable.hbase2_x.BigtableConnection"
readonly BIGTABLE_HBASE_CLIENT_JAR_PREFIX="bigtable-hbase-2.x-hadoop"
readonly BIGTABLE_HBASE_CLIENT_VERSION="1.26.2"
readonly CONDA_VERSION="22.9"
readonly CONSCRYPT_VERSION='2.5.2'
readonly DOCKER_VERSION="20.10"
readonly DPMS_PROXY_DOCKER_IMAGE_VERSION="v0.0.45"
readonly DPMS_PROXY_HIVE_VERSIONS=("3.1.2")
readonly GCS_CONNECTOR_VERSION="hadoop3-2.2.19"
readonly HUDI_VERSION="0.12.3.1"
readonly JAVA_PACKAGE="temurin-11-jdk"
readonly ADDITIONAL_JAVA_PACKAGE=""
readonly MAMBA_VERSION="0.27"
readonly MINICONDA_VERSION="Miniconda3-py39_4.12.0-Linux-x86_64.sh"
readonly PARQUET_VERSION="1.12.2"
readonly PYTHON_VERSION="3.10"
readonly R_VERSION="4.1"
readonly SCALA_VERSION="2.12.18"
readonly SPARK_BIGQUERY_CONNECTOR_VERSION="2.12-0.27.1"
readonly TINKEY_VERSION="1.10.0"
# Put these variables at the end of the file as they require other variables
readonly CONDA_PACKAGES=(
      "conda=${CONDA_VERSION}"
      "cython=0.29"
      "dask=2022.9.2"
      "fastavro=1.6"
      "fastparquet=0.8"
      "gcsfs=2022.8"
      "ipyparallel=8.4"
      "ipython-sql=0.3"
      "jupyterhub=2.3"
      "jupyterlab=3.4"
      "koalas=0.22"
      "matplotlib=3.5"
      "nltk=3.6"
      "notebook=6.4"
      "numba=0.55"
      "numpy=1.22"
      "openblas=0.3"
      "orc=1.7"
      "pandas=1.4"
      "pyarrow=9.0"
      "pyhive=0.6"
      "pysal=2.7"
      "pytables=3.7"
      "python=${PYTHON_VERSION}"
      "r-ggplot2=3.3"
      "r-irkernel=1.3"
      "r-rcurl=1.98_1"
      "r-recommended=${R_VERSION}"
      "regex=2022.8"
      "requests=2.28"
      "rtree=1.0"
      "scikit-image=0.19"
      "scikit-learn=1.1"
      "scipy=1.9"
      "seaborn=0.12"
      "spyder=5.3"
      "sqlalchemy=1.4"
      "sympy=1.10"
      "virtualenv=20.16"
      # Jupyter-specific packages: install these with default
      # Conda env to make solving the environment easier.
      "cookiecutter=2.1"
      "httplib2=0.20"
      "ipywidgets=8.0"
      "jupyter_contrib_nbextensions=0.5"
      "jupyter_http_over_ws=0.0"
      "jupyterlab-git=0.39"
      "jupyterlab_widgets=3.0"
      "markdown=3.4"
      "nbconvert=7.0"
      "nbdime=3.1"
      "oauth2client=4.1"
      "opencv=4.6"
      "pandas-profiling=3.2"
      "papermill[gcs]=2.3"
      "pydot=1.4"
      "tornado=6.1"
      "uritemplate=4.1"
      "traitlets=5.9"
)
readonly PIP_PACKAGES=(
      "google-auth-oauthlib==0.5.*"
      "google-cloud-bigquery-storage==2.15.*"
      "google-cloud-bigquery[pandas]==3.3.*"
      "google-cloud-bigtable==2.11.*"
      "google-cloud-container==2.11.*"
      "google-cloud-datacatalog==3.9.*"
      "google-cloud-dataproc==5.0.*"
      "google-cloud-datastore==2.8.*"
      "google-cloud-language==2.5.*"
      "google-cloud-logging==3.2.*"
      "google-cloud-monitoring==2.11.*"
      "google-cloud-pubsub==2.13.*"
      "google-cloud-redis==2.9.*"
      "google-cloud-spanner==3.19.*"
      "google-cloud-speech==2.15.*"
      "google-cloud-storage==2.5.*"
      "google-cloud-texttospeech==2.12.*"
      "google-cloud-translate==3.8.*"
      "google-cloud-vision==3.1.*"
      "toree==0.5.*"
)
