KDC_SERVICE="krb5kdc"
KADMIN_SERVICE="kadmin"
KPROP_SERVICE="kprop"
KERBEROS_LIBRARIES=(krb5-server krb5-workstation)
# RockyLinux 9 don't have xinetd anymore.
# Need to create xinetd services as plain systemd services.
if ! is_rocky9; then
  KERBEROS_LIBRARIES+=(xinetd)
fi
# RockyLinux already has krb5-libs installed by default and `sudo` package
# depends on it so cannot be uninstalled.
if ! is_rocky; then
  KERBEROS_LIBRARIES+=(krb5-libs)
fi
KERBEROS_SERVICES=(${KDC_SERVICE} ${KADMIN_SERVICE} ${KPROP_SERVICE})
KDC_CONF_DIR="/var/kerberos/krb5kdc"
KERBEROS_DATABASE_DIR="/var/kerberos/krb5kdc"
KERBEROS_USER_CONFIG="/etc/krb5.conf"
