function is_test_bigtop_repo() {
  local -r dataproc_repo_file=$1

  # For test images which do not use gs://dataproc-bigtop-repo for Bigtop repo
  # Skip if dataproc-bigtop-repo is not present in repo file or for unversioned
  # BigTop repo ("dataproc-bigtop-repo-dev") is present (which happens for
  # nightly BigTop tests).
  return ! grep -q "dataproc-bigtop-repo" "${dataproc_repo_file}" ||
      grep -q "dataproc-bigtop-repo-dev" "${dataproc_repo_file}"
}
